From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 12 Oct 2021 16:08:42 +0200
Subject: Disable possibility of updating

We don't want the user to update beef with this tool. The update must be
done with apt.
---
 beef | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/beef b/beef
index 22cf257..83c903d 100755
--- a/beef
+++ b/beef
@@ -48,23 +48,23 @@ require 'timeout'
 #
 # @note Ask user if they would like to update beef
 #
-if File.exist?("#{$root_dir}git") && BeEF::Core::Console::CommandLine.parse[:update_disabled] == false
-  if BeEF::Core::Console::CommandLine.parse[:update_auto] == true
-    print 'Checking latest BeEF repository and updating'
-    `git pull && bundle`
-  elsif `git rev-parse master` != `git rev-parse origin/master`
-    begin
-      Timeout.timeout(5) do
-        puts '-- BeEF Update Available --'
-        print 'Would you like to update to lastest version? y/n: '
-        response = gets
-        `git pull && bundle` if response&.strip == 'y'
-      end
-    rescue Timeout::Error
-      puts "\nUpdate Skipped with input timeout"
-    end
-  end
-end
+#if File.exist?("#{$root_dir}git") && BeEF::Core::Console::CommandLine.parse[:update_disabled] == false
+#  if BeEF::Core::Console::CommandLine.parse[:update_auto] == true
+#    print 'Checking latest BeEF repository and updating'
+#    `git pull && bundle`
+#  elsif `git rev-parse master` != `git rev-parse origin/master`
+#    begin
+#      Timeout.timeout(5) do
+#        puts '-- BeEF Update Available --'
+#        print 'Would you like to update to lastest version? y/n: '
+#        response = gets
+#        `git pull && bundle` if response&.strip == 'y'
+#      end
+#    rescue Timeout::Error
+#      puts "\nUpdate Skipped with input timeout"
+#    end
+#  end
+#end
 
 #
 # @note Create ~/.beef/
